ru.bitel.bgbilling.modules.tv.access.event

## Class TvProductsDeviceStateModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.modules.tv.access.event.TvProductsDeviceStateModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TvProductsDeviceStateModifiedEvent
      extends Event

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TvProductsDeviceStateModifiedEvent()`
    `` | `TvProductsDeviceStateModifiedEvent(int moduleId, int contractId, int deviceId, int tvAccountId, short deviceState, java.util.List<ProductStateEntry> productEntryList)`
    `` | `TvProductsDeviceStateModifiedEvent(int moduleId, int deviceId, int tvAccountId, short deviceState, java.util.List<ProductStateEntry> productEntryList)` Deprecated.
    `` | `TvProductsDeviceStateModifiedEvent(ru.bitel.bgbilling.modules.tv.access.event.db.TvProductsDeviceStateModifyEvent modify)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDeviceId()`
    `short` | `getDeviceState()`
    `java.util.List<ProductStateEntry>` | `getProductEntryList()`
    `int` | `getTvAccountId()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvProductsDeviceStateModifiedEvent

          protected TvProductsDeviceStateModifiedEvent()

    - #### TvProductsDeviceStateModifiedEvent

          public TvProductsDeviceStateModifiedEvent(ru.bitel.bgbilling.modules.tv.access.event.db.TvProductsDeviceStateModifyEvent modify)

    - #### TvProductsDeviceStateModifiedEvent

          @Deprecated
          public TvProductsDeviceStateModifiedEvent(int moduleId,
                                                                int deviceId,
                                                                int tvAccountId,
                                                                short deviceState,
                                                                java.util.List<ProductStateEntry> productEntryList)

      Deprecated.

    - #### TvProductsDeviceStateModifiedEvent

          public TvProductsDeviceStateModifiedEvent(int moduleId,
                                                    int contractId,
                                                    int deviceId,
                                                    int tvAccountId,
                                                    short deviceState,
                                                    java.util.List<ProductStateEntry> productEntryList)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getTvAccountId

          public int getTvAccountId()

    - #### getDeviceState

          public short getDeviceState()

    - #### getProductEntryList

          public java.util.List<ProductStateEntry> getProductEntryList()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`